Skip to main content
POST
https://api.useadam.io/v1/adam
/
oauth
/
refresh
/
token
Refresh access token
curl --request POST \
  --url https://api.useadam.io/v1/adam/oauth/refresh/token \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "refresh_token": "oauth_refresh_token",
  "business_id": "business-uuid"
}
'
{
  "status": "success",
  "message": "Business access token retrieved successfully",
  "data": {
    "access_token": "new_oauth_access_token",
    "refresh_token": "new_oauth_refresh_token",
    "expires_at": "2026-06-16T16:30:00+00:00",
    "token_type": "Bearer",
    "business_id": "business-uuid"
  }
}

Authorizations

X-API-Key
string
header
default:your_tyms_sk_or_partner_key
required

Business secret tyms_sk_... for all routes except Register business, which expects your partner secret.

Body

application/json
refresh_token
string
required
business_id
string
required

Response

New access and refresh tokens

status
string
message
string
data
object